@echo off
goto endprlg

rem ͻ
rem                                                                         
rem            MQSeries Exchange IP Dial Exit - Install for OS2,            
rem            Windows NT and Windows.                                      
rem                                                                         
rem      (C) Copyright International Business Machines Corp, 1996, 1999     
rem                                                                         
rem ͼ
rem ͻ
rem  Purpose: Initial Batch File (A: drive) Invoked By User                 
rem ͹
rem  Invocation (External):  A:\INSTALL  [drive]                            
rem                                                                         
rem  where:  drive     is the target drive for installation ( C: )          
rem                    which defaults to  C:  if omitted                    
rem ͼ

:endprlg
 cls
 rem Substitute default parameter:
 if %1+==+  %0  C
 rem Uppercase first parameter:
 if %1==c:  %0  C  %2
 if %1==c   %0  C  %2
 if %1==C:  %0  C  %2

 if %1==d:  %0  D  %2
 if %1==d   %0  D  %2
 if %1==D   %0  D  %2

 if %1==e:  %0  E  %2
 if %1==e   %0  E  %2
 if %1==E:  %0  E  %2

 if %1==f:  %0  F  %2
 if %1==f   %0  F  %2
 if %1==F:  %0  F  %2

 if %1==g:  %0  G  %2
 if %1==g   %0  G  %2
 if %1==G:  %0  G  %2

 if %1==h:  %0  H  %2
 if %1==h   %0  H  %2
 if %1==H:  %0  H  %2

 if %1==i:  %0  I  %2
 if %1==i   %0  I  %2
 if %1==I:  %0  I  %2

 if %1==j:  %0  J  %2
 if %1==j   %0  J  %2
 if %1==J:  %0  J  %2

 if %1==k:  %0  K  %2
 if %1==k   %0  K  %2
 if %1==K:  %0  K  %2

 if %1==l   %0  L  %2
 if %1==l:  %0  L  %2
 if %1==L:  %0  L  %2

 if %1==m   %0  M  %2
 if %1==m:  %0  M  %2
 if %1==M:  %0  M  %2

 if %1==N:  %0  N  %2
 if %1==n   %0  N  %2
 if %1==n:  %0  N  %2

 if %1==O:  %0  O  %2
 if %1==o   %0  O  %2
 if %1==o:  %0  O  %2

 if %1==P:  %0  P  %2
 if %1==p   %0  P  %2
 if %1==p:  %0  P  %2

 if %1==Q:  %0  Q  %2
 if %1==q   %0  Q  %2
 if %1==q:  %0  Q  %2

 rem Check MQX installation files are here

 if not exist emqseco.win goto echomsg
 if not exist v2_emqseco.os2 goto echomsg
 if not exist v2_emqseco.nt  goto echomsg
 if not exist v5_emqseco.os2 goto echomsg
 if not exist v5_emqseco.nt  goto echomsg

 goto ok1

:echomsg
 mqxask install.ask notinst
 goto end

:ok1
 rem Check parameter(s):
 if not %2+==+ goto parmerr
 if     %1+==+ insterr %0 1
 goto parmok

:parmerr
 mqxask install.ask badparms 0=%0 1=%1 2=%2
 if not errorlevel 1 goto end
 echo #=#
 echo #=# ERROR! Incorrect invocation:  %0  %1  %2
 echo #=#
 echo #=#        Syntax is:  [source drive]:\]INSTALL  [target drive]
 echo #=#
 echo #=#        where "target drive" is where your MQW directory is located
 echo #=#
 goto end

:parmok
 SET DRV=%1
:askagain
 cls

 mqxask install.ask targetok DRIVE=%DRV%:
 if errorlevel 3 goto end
 if errorlevel 2 goto drive
 if errorlevel 1 goto loop

:invalid
 mqxask install.ask invalid_drive DRIVE=%DRV%:
 SET DRV=C
 goto askagain


:drive
 mqxask install.ask enter_drive
 if errorlevel 27  goto end
 if errorlevel 26  goto zz
 if errorlevel 25  goto yy
 if errorlevel 24  goto xx
 if errorlevel 23  goto ww
 if errorlevel 22  goto vv
 if errorlevel 21  goto uu
 if errorlevel 20  goto tt
 if errorlevel 19  goto ss
 if errorlevel 18  goto rr
 if errorlevel 17  goto qq
 if errorlevel 16  goto pp
 if errorlevel 15  goto oo
 if errorlevel 14  goto nn
 if errorlevel 13  goto mm
 if errorlevel 12  goto ll
 if errorlevel 11  goto kk
 if errorlevel 10  goto jj
 if errorlevel  9  goto ii
 if errorlevel  8  goto hh
 if errorlevel  7  goto gg
 if errorlevel  6  goto ff
 if errorlevel  5  goto ee
 if errorlevel  4  goto dd
 if errorlevel  3  goto cc
 if errorlevel  2  goto bb

:aa
    set DRV=A
    goto askagain
:bb
    set DRV=B
    goto askagain
:bb
    set DRV=C
    goto askagain
:dd
    set DRV=D
    goto askagain
:ee
    set DRV=E
    goto askagain
:ff
    set DRV=F
    goto askagain
:gg
    set DRV=G
    goto askagain
:hh
    set DRV=H
    goto askagain
:ii
    set DRV=I
    goto askagain
:jj
    set DRV=J
    goto askagain
:kk
    set DRV=K
    goto askagain
:ll
    set DRV=L
    goto askagain
:mm
    set DRV=M
    goto askagain
:nn
    set DRV=N
    goto askagain
:oo
    set DRV=O
    goto askagain
:pp
    set DRV=P
    goto askagain
:qq
    set DRV=Q
    goto askagain
:rr
    set DRV=R
    goto askagain
:ss
    set DRV=S
    goto askagain
:tt
    set DRV=T
    goto askagain
:uu
    set DRV=U
    goto askagain
:vv
    set DRV=V
    goto askagain
:ww
    set DRV=W
    goto askagain
:xx
    set DRV=X
    goto askagain
:yy
    set DRV=Y
    goto askagain
:zz
    set DRV=Z
    goto askagain


:loop
 cls
 mqxask install.ask askopts
 if errorlevel 6 goto end
 if errorlevel 5 goto instwin
 if errorlevel 4 goto instntv2
 if errorlevel 3 goto instos2v2
 if errorlevel 2 goto instntv5
 if errorlevel 1 goto instos2v5
 goto end


:instos2v5
 mqxask install.ask copying FILES="v5_emqseco.os2" DRIVE=%DRV%: MQDIR=MQM DIR=EXITS
 call installd v2_emqseco.os2 %DRV% MQM EXITS
 if errorlevel 1 goto loop
goto end

:instos2v2
 mqxask install.ask copying FILES="v2_emqseco.os2" DRIVE=%DRV%: MQDIR=MQM DIR=DLL
 call installd v5_emqseco.os2 %DRV% MQM DLL 
 if errorlevel 1 goto loop
goto end

:instntv5
 mqxask install.ask copying FILES="v5_emqseco.nt" DRIVE=%DRV%: MQDIR=MQM DIR=EXITS
 call installd v5_emqseco.nt  %DRV% MQM EXITS
 if errorlevel 1 goto loop
goto end

:instntv2
 mqxask install.ask copying FILES="v2_emqseco.nt" DRIVE=%DRV%: MQDIR=MQM DIR=BIN
 call installd v2_emqseco.nt  %DRV% MQM BIN
 if errorlevel 1 goto loop
goto end

:instwin
 mqxask install.ask copying FILES="emqseco.win" DRIVE=%DRV%: MQDIR=MQW DIR=BIN
 call installd emqseco.win %DRV% MQW BIN 
 if errorlevel 1 goto loop
goto end


:end
